Puppet not updating the foreman server
Assignee:    
Target version:    

Triaged:  Found in Releases: 1.1

Fixed in Releases:    

Description

Hello,

I have a problem with updating puppet clients the foreman server (not seeing updates by clients).

The problem started when the puppet master certificate expired. I recreated the certificate and all looked good. The clients

certificates also was signed by puppet master. Our puppet master and foreman are 2 hosts: puppet master and foreman.

Originally(before the problem happened) the puppet master was sending updates to foreman.

After the recreate the new certificate for puppet there is no new updates in foreman browser.

I can see that foreman log (/var/log/foreman/production.log) updating by new entries ,but it's not show up in foreman.

The foreman version is Version 1.1RC1 and puppet is 2.7, puppet version puppet-2.7.20.

Please help. This is pretty urgent since our production is down due to this problem (we can't update the clients).

Thanks Igor

History

#1 - 12/16/2014 03:45 AM - Dominic Cleal

- Status changed from New to Feedback

Could you provide the logs you talk about?

foreman-users would be a much better place to ask, particularly for such an old release that we don't support.

#2 - 12/16/2014 04:57 AM - Igor Katz

- File production.log added

The log file attached.

Thank you

#3 - 12/16/2014 04:59 AM - Dominic Cleal

Ok, and what exactly are you looking at to determine if it's "updating"?  Reports - if so, where?

#4 - 05/17/2017 09:37 AM - Anonymous

- Status changed from Feedback to Resolved

whatever...

Files

production.log 396 KB 12/16/2014 Igor Katz
